import { OnInit } from '@angular/core';
import { NbMenuService, NbSidebarService } from '@nebular/theme';
import { UserData } from '../../../@core/data/users';
import { AnalyticsService } from '../../../@core/utils';
import { LayoutService } from '../../../@core/utils';
export declare class HeaderComponent implements OnInit {
    private sidebarService;
    private menuService;
    private userService;
    private analyticsService;
    private layoutService;
    position: string;
    user: any;
    userMenu: {
        title: string;
    }[];
    constructor(sidebarService: NbSidebarService, menuService: NbMenuService, userService: UserData, analyticsService: AnalyticsService, layoutService: LayoutService);
    ngOnInit(): void;
    toggleSidebar(): boolean;
    goToHome(): void;
    startSearch(): void;
}
