import { NbThemeService, NbPopoverDirective } from '@nebular/theme';
import { AnalyticsService } from '../../../../@core/utils/analytics.service';
import { NbJSThemeOptions } from '@nebular/theme/services/js-themes/theme.options';
export declare class ThemeSwitcherListComponent {
    private themeService;
    private analyticsService;
    popover: NbPopoverDirective;
    theme: NbJSThemeOptions;
    themes: {
        title: string;
        key: string;
    }[];
    constructor(themeService: NbThemeService, analyticsService: AnalyticsService);
    onToggleTheme(themeKey: string): void;
}
