/**
 * @license
 * Copyright Akveo. All Rights Reserved.
 * Licensed under the MIT License. See License.txt in the project root for license information.
 */
import { DomSanitizer } from '@angular/platform-browser';
import { PipeTransform } from '@angular/core';
export declare class EvaIconsPipe implements PipeTransform {
    private sanitizer;
    private defaultOptions;
    constructor(sanitizer: DomSanitizer);
    transform(icon: string, options: {
        height: number;
        width: number;
        fill: string;
        animationType?: string;
        animationHover?: boolean;
        animationInfinity?: boolean;
    }): import("@angular/platform-browser").SafeHtml;
}
